package link.at17.mid.tushare.robot.feishu.ablilities;

import java.io.Serializable;
import java.util.Objects;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@SuppressWarnings("serial")
public class FeishuAppThrowable extends RuntimeException {

    @Getter
    @Setter
    @Accessors(chain=true)
    private Serializable response = null;
    
    public FeishuAppThrowable() {
        super();
    }
    
    public FeishuAppThrowable(String message) {
        super(message);
    }
    
    public boolean hasResponse() {
        return Objects.nonNull(response);
    }
    
}
